# List Users

## cURL

```bash
curl --request GET \
  --url 'https://api.openphone.com/v1/users?maxResults=10' \
  --header 'Authorization: <api-key>'
```

## Response Codes

- **200**
- **400**
- **401**
- **403**
- **404**
- **500**

## Response Example

```json
{
  "data": [
    {
      "id": "<string>",
      "email": "jsmith@example.com",
      "firstName": "John",
      "lastName": "Doe",
      "pictureUrl": "https://example.com/picture.jpg",
      "role": "owner",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "totalItems": 123,
  "nextPageToken": "<string>"
}
```

## Authorization

**Authorization**  
Type: `string`  
Location: `header`  
Required: Yes

## Query Parameters

- **maxResults**  
  Type: `integer`  
  Default: `10`  
  Required: Yes  
  Description: Maximum number of results to return per page. Required range: `1 <= x <= 50`

- **pageToken**  
  Type: `string`

## Response Details

- **data**  
  Type: `object[]`  
  Required: Yes

- **totalItems**  
  Type: `integer`  
  Required: Yes  
  Note: `totalItems` is not accurately returning the total number of items that can be paginated. We are working on fixing this issue.

- **nextPageToken**  
  Type: `string | null`  
  Required: Yes
